/* [v-cloak] {
  display: none;
} */

.kc-spinner {
  padding: 100px 0;
}

/* .kc-date.kc-sp {
  display: none;
}

@media screen and (max-width: 768px) {
  .kc-date.kc-sp {
    display: block;
  }

  .kc-date.kc-pc {
    display: none;
  }
}

@media screen and (max-width: 550px) {
  .kc-date.kc-sp {
    white-space: nowrap;
  }
} */


/* API埋め込み以外の箇所でのcss */
.event_box.-kc {
  display: flex !important;
}

@media screen and (max-width: 768px) {}





.kc-none {
  text-align: center;
  margin: 50px 0;
}


/* hover */
.kc-link:hover {
  opacity: 0.7;
  text-decoration: none;
  color: #333;
}

/* hover */

/* 終了イベント */
.kc-card.endDateTime .kc-image::before {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  content: "終了いたしました";
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  font-size: 22px;
  background-color: rgba(0, 0, 0, 0.3);
  color: #fff;
  z-index: 1;
}


@media screen and (max-width: 768px) {
  .kc-card.endDateTime .kc-image::before {
    font-size: 16px;
  }
}

/* 終了イベント */




/* topページ */

.kc-content {
  width: 100%;
}

.kc-cards {
  display: flex;
  flex-wrap: wrap;
  gap: 2%;
  margin-top: 2%;
}

.kc-card {
  width: 49%;
  position: relative;
  background-color: #edf0ec;
}

.kc-link {
  display: flex;
  justify-content: space-between;
  height: 100%;
  color: #333;
}

.kc-image {
  width: 43%;
  height: fit-content;
  position: relative;
  display: block;
  overflow: hidden;
}


.kc-image img {
  object-fit: cover;
  aspect-ratio: 4/3;
  width: 100%;
  height: auto;
}



.kc-info {
  width: 57%;
  position: relative;
  display: flex;
  flex-direction: column;
  padding: 2%;
}


.kc-tags {
  display: flex;
  flex-wrap: wrap;
  gap: .4em .4em;
  margin-bottom: .4em;
}

.kc-area,
.kc-type,
.kc-format {
  color: #fff;
  padding: .4em .8em;
  font-size: 1.1rem;
  line-height: 1;
  border: 1px solid #333;
}

.kc-area {
  display: none;
  color: #fff;
}

.kc-area.aichi {
  display: block;
  background-color: #f29600;
  border: 1px solid #f29600;
}

.kc-area.tokyo {
  display: block;
  background-color: #a2713f;
  border: 1px solid #a2713f;
}


.kc-type {
  background-color: #333;
}

.kc-format {
  color: #333;
  background-color: #fff;
}

.kc-name {
  font-size: 1.4rem;
  font-weight: 600;
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  line-height: 1.5;
}

.kc-border {
  border: none;
  height: 1px;
  width: 100%;
  margin: .5em 0;
  background-size: 4px 1px;
  background-image: linear-gradient(to right, #f29600, #f29600 2px, transparent 2px, transparent 4px);
}

.kc-date-box,
.kc-address-box {
  display: flex;
  align-items: center;
  gap: .4em;
}

.kc-date-box {
  margin-bottom: .3em;
}

.kc-date-text,
.kc-address-text {
  white-space: nowrap;
  padding: .1em;
  border: solid 1px #666;
}

.kc-date,
.kc-address,
.kc-date-text,
.kc-address-text {
  font-size: 1.1rem;
  line-height: 1.4;
  color: #666;
}

.kc-date br {
  display: none;
}


@media screen and (max-width: 1000px) {
  .kc-cards {
    flex-wrap: wrap;
    gap: 2em 2%;
  }

  .kc-card {
    width: 100%;
  }

  .kc-area,
  .kc-type,
  .kc-format {
    font-size: 1.4rem;
  }

  .kc-name {
    font-size: 1.8rem;
  }

  .kc-date,
  .kc-address,
  .kc-date-text,
  .kc-address-text {
    font-size: 1.4rem;
  }
}

@media screen and (max-width: 700px) {

  .kc-tags {
    gap: .2em .2em;
  }

  .kc-area,
  .kc-type,
  .kc-format {
    font-size: 1rem;
    padding: .2em;
  }

  .kc-name {
    font-size: 1.2rem;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
  }

  .kc-date,
  .kc-address,
  .kc-date-text,
  .kc-address-text {
    font-size: 1rem;
  }
}

/* allページ */
.kc-cards.-all {
  margin: 0;
  gap: 2em;
}

.kc-card.-all {
  border-bottom: 1px solid #333;
  background-color: transparent;
}

.kc-link.-all {
  padding-bottom: 20px;
}

.kc-image.-all {
  width: 30%;
}

.kc-info.-all {
  width: 70%;
}

.kc-area.-all,
.kc-type.-all,
.kc-format.-all {
  font-size: 1.4rem;
}

.kc-name.-all {
  font-size: 1.8rem;
}

.kc-date.-all,
.kc-address.-all,
.kc-date-text.-all,
.kc-address-text.-all {
  font-size: 1.4rem;
}

.kc-border.-all {
  margin: .8em 0;
}

@media screen and (max-width: 900px) {

  .kc-area.-all,
  .kc-type.-all,
  .kc-format.-all {
    font-size: 1.2rem;
  }

  .kc-name.-all {
    font-size: 1.6rem;
  }

  .kc-date.-all,
  .kc-address.-all,
  .kc-date-text.-all,
  .kc-address-text.-all {
    font-size: 1.2rem;
  }

  .kc-border.-all {
    margin: .5em 0;
  }
}

@media screen and (max-width: 768px) {
  .kc-link.-all {
    flex-direction: column;
    padding-bottom: 24px;
  }

  .kc-image.-all {
    width: 100%;
  }

  .kc-info.-all {
    width: 100%;
    padding: 6% 2% 0;
  }

  .kc-area.-all,
  .kc-type.-all,
  .kc-format.-all {
    font-size: 1.2rem;
    padding: .4em;
  }

  .kc-name.-all {
    font-size: 1.4rem;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
  }

  .kc-date.-all,
  .kc-address.-all,
  .kc-date-text.-all,
  .kc-address-text.-all {
    font-size: 1.2rem;
  }
}